ODFPY: odf.odf2moinmoin.ODF2MoinMoin Class Reference

ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Public Member Functions | Public Attributes | List of all members
odf.odf2moinmoin.ODF2MoinMoin Class Reference
Inheritance diagram for odf.odf2moinmoin.ODF2MoinMoin:
[legend]
Collaboration diagram for odf.odf2moinmoin.ODF2MoinMoin:
[legend]

## Public Member Functions
def | __init__
def | processFontDeclarations
| Extracts necessary font information from a font-declaration element. More...
def | extractTextProperties
| Extracts text properties from a style element. More...
def | extractParagraphProperties
| Extracts paragraph properties from a style element. More...
def | processStyles
| Runs through "style" elements extracting necessary information. More...
def | processListStyles
def | load
| Loads an ODT file. More...
def | compressCodeBlocks
| Removes extra blank lines from code blocks. More...
def | do_nothing
def | draw_image
def | text_a
def | text_line_break
def | text_note
def | text_s
def | text_tab
def | inline_markup
def | listToString
def | tableToString
| MoinMoin uses || to delimit table cells. More...
def | toString
| Converts the document to a string. More...
def | textToString
def | paragraphToString
def | wrapParagraph

## Public Attributes
| footnotes
| footnoteCounter
| textStyles
| paragraphStyles
| listStyles
| fixedFonts
| hasTitle
| lastsegment
| elements
| content

## Detailed Description

Definition at line 148 of file odf2moinmoin.py.

## Constructor & Destructor Documentation

def odf.odf2moinmoin.ODF2MoinMoin.__init__ | ( |  | self,
|  |  | filepath
| ) |  |

Definition at line 151 of file odf2moinmoin.py.

## Member Function Documentation

def odf.odf2moinmoin.ODF2MoinMoin.compressCodeBlocks | ( |  | self,
|  |  | text
| ) |  |

Removes extra blank lines from code blocks.

Definition at line 318 of file odf2moinmoin.py.

Here is the caller graph for this function:

def odf.odf2moinmoin.ODF2MoinMoin.do_nothing | ( |  | self,
|  |  | node
| ) |  |

Definition at line 334 of file odf2moinmoin.py.

def odf.odf2moinmoin.ODF2MoinMoin.draw_image | ( |  | self,
|  |  | node
| ) |  |

Definition at line 340 of file odf2moinmoin.py.

def odf.odf2moinmoin.ODF2MoinMoin.extractParagraphProperties | ( |  | self,
|  |  | style,
|  |  | parent = `None`
| ) |  |

Extracts paragraph properties from a style element.

Definition at line 221 of file odf2moinmoin.py.

Here is the call graph for this function:

Here is the caller graph for this function:

def odf.odf2moinmoin.ODF2MoinMoin.extractTextProperties | ( |  | self,
|  |  | style,
|  |  | parent = `None`
| ) |  |

Extracts text properties from a style element.

Definition at line 194 of file odf2moinmoin.py.

Here is the caller graph for this function:

def odf.odf2moinmoin.ODF2MoinMoin.inline_markup | ( |  | self,
|  |  | node
| ) |  |

Definition at line 379 of file odf2moinmoin.py.

Here is the call graph for this function:

Here is the caller graph for this function:

def odf.odf2moinmoin.ODF2MoinMoin.listToString | ( |  | self,
|  |  | listElement,
|  |  | indent = `0`
| ) |  |

Definition at line 410 of file odf2moinmoin.py.

Here is the call graph for this function:

Here is the caller graph for this function:

def odf.odf2moinmoin.ODF2MoinMoin.load | ( |  | self,
|  |  | filepath
| ) |  |

Loads an ODT file.

Definition at line 297 of file odf2moinmoin.py.

Here is the call graph for this function:

Here is the caller graph for this function:

def odf.odf2moinmoin.ODF2MoinMoin.paragraphToString | ( |  | self,
|  |  | paragraph,
|  |  | indent = `0`
| ) |  |

Definition at line 530 of file odf2moinmoin.py.

Here is the call graph for this function:

Here is the caller graph for this function:

def odf.odf2moinmoin.ODF2MoinMoin.processFontDeclarations | ( |  | self,
|  |  | fontDecl
| ) |  |

Extracts necessary font information from a font-declaration element.

Definition at line 185 of file odf2moinmoin.py.

Here is the caller graph for this function:

def odf.odf2moinmoin.ODF2MoinMoin.processListStyles | ( |  | self,
|  |  | listStyleElements
| ) |  |

Definition at line 279 of file odf2moinmoin.py.

Here is the caller graph for this function:

def odf.odf2moinmoin.ODF2MoinMoin.processStyles | ( |  | self,
|  |  | styleElements
| ) |  |

Runs through "style" elements extracting necessary information.

Definition at line 260 of file odf2moinmoin.py.

Here is the call graph for this function:

Here is the caller graph for this function:

def odf.odf2moinmoin.ODF2MoinMoin.tableToString | ( |  | self,
|  |  | tableElement
| ) |  |

MoinMoin uses || to delimit table cells.

Definition at line 445 of file odf2moinmoin.py.

Here is the call graph for this function:

Here is the caller graph for this function:

def odf.odf2moinmoin.ODF2MoinMoin.text_a | ( |  | self,
|  |  | node
| ) |  |

Definition at line 349 of file odf2moinmoin.py.

Here is the call graph for this function:

def odf.odf2moinmoin.ODF2MoinMoin.text_line_break | ( |  | self,
|  |  | node
| ) |  |

Definition at line 358 of file odf2moinmoin.py.

def odf.odf2moinmoin.ODF2MoinMoin.text_note | ( |  | self,
|  |  | node
| ) |  |

Definition at line 361 of file odf2moinmoin.py.

Here is the call graph for this function:

def odf.odf2moinmoin.ODF2MoinMoin.text_s | ( |  | self,
|  |  | node
| ) |  |

Definition at line 369 of file odf2moinmoin.py.

def odf.odf2moinmoin.ODF2MoinMoin.text_tab | ( |  | self,
|  |  | node
| ) |  |

Definition at line 376 of file odf2moinmoin.py.

def odf.odf2moinmoin.ODF2MoinMoin.textToString | ( |  | self,
|  |  | element
| ) |  |

Definition at line 500 of file odf2moinmoin.py.

Here is the call graph for this function:

Here is the caller graph for this function:

def odf.odf2moinmoin.ODF2MoinMoin.toString | ( |  | self | ) |

Converts the document to a string.

FIXME: Result from second call differs from first call

Definition at line 467 of file odf2moinmoin.py.

Here is the call graph for this function:

def odf.odf2moinmoin.ODF2MoinMoin.wrapParagraph | ( |  | self,
|  |  | text,
|  |  | indent = `0`,
|  |  | blockquote = `False`
| ) |  |

Definition at line 569 of file odf2moinmoin.py.

Here is the caller graph for this function:

## Member Data Documentation

odf.odf2moinmoin.ODF2MoinMoin.content

Definition at line 308 of file odf2moinmoin.py.

odf.odf2moinmoin.ODF2MoinMoin.elements

Definition at line 162 of file odf2moinmoin.py.

odf.odf2moinmoin.ODF2MoinMoin.fixedFonts

Definition at line 157 of file odf2moinmoin.py.

odf.odf2moinmoin.ODF2MoinMoin.footnoteCounter

Definition at line 153 of file odf2moinmoin.py.

odf.odf2moinmoin.ODF2MoinMoin.footnotes

Definition at line 152 of file odf2moinmoin.py.

odf.odf2moinmoin.ODF2MoinMoin.hasTitle

Definition at line 158 of file odf2moinmoin.py.

odf.odf2moinmoin.ODF2MoinMoin.lastsegment

Definition at line 159 of file odf2moinmoin.py.

odf.odf2moinmoin.ODF2MoinMoin.listStyles

Definition at line 156 of file odf2moinmoin.py.

odf.odf2moinmoin.ODF2MoinMoin.paragraphStyles

Definition at line 155 of file odf2moinmoin.py.

odf.odf2moinmoin.ODF2MoinMoin.textStyles

Definition at line 154 of file odf2moinmoin.py.

The documentation for this class was generated from the following file:

- odf/odf2moinmoin.py